> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/samples/package-samples/sample-showcase.md).

# Download the Android PDF Viewer Showcase Sample App

Explore the Showcase app demo powered by Apryse Android SDK. Try out Xodo, a top-rated PDF viewer app. Discover various features and samples for developers to experiment with. The Apryse Android SDK s

{% hint style="info" %}
The source code for this sample app can be found in the **samples** of the SDK package.
{% endhint %}

{% @apryse-download-button/apryse-download-button id="Showcase\_apk\_android\_android" title="Download Showcase.apk" showVersion="false" %}

{% @apryse-download-button/apryse-download-button id="Android\_SDK\_android\_android" title="Download the Source Code" showVersion="true" %}

The demo shown below is an emulation of the Showcase sample app that comes with the Apryse Android SDK package. The demo is powered by [Appetize.io](https://appetize.io/) which runs the native sample app in the browser, however for the best experience the Showcase app should be installed on a local device. Additionally you can try out [Xodo](https://play.google.com/store/search?q=xodo\&c=apps) from the Google Play Store, Apryse's top-rated production-quality PDF viewer app built from the ground up using Apryse's Android SDK.

For the collaboration sample, open [this page](/android/samples/package-samples/sample-showcase.md) in another browser to start collaborating.

## Phone Showcase

{% embed url="<https://appetize.io/embed/1437dyb2q7mjf3cn4k9b0a4k34?device=nexus5&scale=100&screenOnly=true&autoplay=false&orientation=portrait&deviceColor=black&launchUrl=app:%2F%2Fopen.pdftron.showcase%2Fhome%2FHome?fileUrl=null>" %}

## Tablet Showcase

{% embed url="<https://appetize.io/embed/1437dyb2q7mjf3cn4k9b0a4k34?device=nexus9&scale=68&screenOnly=true&autoplay=false&orientation=landscape&deviceColor=black&launchUrl=app:%2F%2Fopen.pdftron.showcase%2Fhome%2FHome?fileUrl=null>" %}

The Showcase app highlights common use-cases and features of the Apryse Android SDK. Each sample provides an interactive demo of the feature and also includes links to relevant documentation and code samples for developers to easily try out.

### List of samples

* [Viewer ](/android/open-save-document/open.md): View a PDF
* [View Office Files ](/android/ms-office/non-pdf.md): View office files
* [Bookmark ](/android/ui-customization/list-container.md): Add custom bookmarks
* [Text search ](/android/search/text.md): Search a PDF for text
* [Document Outline ](/android/ui-customization/list-container.md): View outline of a document
* [Zoom/Display Modes ](/android/viewer/view-mode.md): Change how documents are displayed in the viewer
* [Overprint](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFViewCtrl.html#setOverprint\(com.pdftron.pdf.PDFViewCtrl.OverPrintMode\)): Displays the document in a way that simulates the behavior of an actual printer
* [Multi-Tabbed Viewer ](/android/open-save-document/open.md): Open more than one document at a time
* [Document Collaboration ](/android/collaboration/setup-a.md): Real-time document annotation collaboration capability
* [Annotation List ](/android/ui-customization/list-container.md): View a list of all annotations in a document
* [Annotation Toolbar ](/android/annotation/annotation-toolbar-a.md): Create annotations using the annotation toolbar
* [Undo and Redo ](/android/annotation/undo-redo.md): Undo and redo any documentation modifications
* [Measurement ](/android/measurement/measurement-a.md): Measure distance, perimeter and area in a document
* [Rubber Stamp](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/RubberStampCreate.html): Create stamps from presets or define your own stamps
* [Form Filling ](/android/forms/fill-fields.md): Fill form fields with user inputs
* [Form Creation ](/android/forms/create-fields.md): Create new form fields such as text fields, checkboxes, and signatures
* [Digital Signature ](/android/digital-signature/digi-sig-tool.md): Digitally sign with a specific keystore and password
* [Document Manipulation ](/android/page-manipulation/thumbnails-view-a.md): Open the thumbnail browser to navigate, rearrange, add and remove pages
* [New Page Generator ](/android/page-manipulation/create.md): Add a new custom page to a document
* [Redaction ](/android/redaction/redact.md): Use redaction to remove sensitive content within documents
* [Page Cropping ](/android/open-save-document/basics/crop-pages.md): Manually or automatically crop pages in a document, or remove existing page cropping
* [Modify Page Labels ](/android/page-manipulation/page-label-editor-a.md): Modify the page labels on any document
* [Watermark ](/android/editing-page-content/watermark-editor-a.md): Add a watermark to any document
* [Text Extraction ](/android/get-started/samples/textextracttest.md): Extract text from a document
* [Form Extraction ](/android/get-started/samples/fdftest.md): Extract form field content
* [Annotation Extraction ](/android/annotation/sync.md): Extract annotation (XFDF)
* [Image Extraction ](/android/get-started/samples/imageextracttest.md): Extract images from a document
* [HTML To PDF ](/android/conversion/html-to-pdf.md): Convert a web page to a PDF document
* [PDF To Image ](/android/get-started/samples/pdfdrawtest.md): Convert page to image
* [Flatten](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFDoc.html#flattenAnnotationsAdvanced\(com.pdftron.pdf.PDFDoc.FlattenMode\)): Flatten annotations, form fields, and links in the document
* [File Merging ](/android/get-started/samples/pdfpagetest.md): Merge pages from multiple PDF documents into one PDF
* [Compare Page ](/android/compare-files/file-comparison-a.md): Compare PDF page
* [Streaming ](/android/viewer/view-online-pdfs.md): Stream only the PDF page being viewed
* [Progressive rendering](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFViewCtrl.html#setProgressiveRendering\(boolean\)): Render each PDF layer as it loads
* [Fast rendering](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFViewCtrl.html#setupThumbnails\(boolean,boolean,boolean,int,long,double\)): Render an embedded PDF thumbnail as it loads
* [User Interface Customization ](/android/annotation/disable-annot-create-edit.md): Show or hide any icons in the viewer
* [Page Coloring Mode ](/android/viewer/themes.md): Customize the color mode of the viewer
* [Reading mode ](/android/viewer/view-mode.md): Reflow a PDF to HTML for easy reading
* [Password-protected documents](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFDoc.html#initStdSecurityHandler\(java.lang.String\)): Password lock a PDF for security
* [Optimizer](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/Optimizer.html): Reduce a document's file size
* [PDF Layer Separation ](/android/layers-ocgs/ocg-layer-browser-a.md): PDF layer separation capabilities (Optional Content Groups)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/samples/package-samples/sample-showcase.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
